Skip to main content

Get full hierarchy for a platform

GET 

/api/v1/hierarchy/platforms/:platformId/tree

Get full hierarchy for a platform

Request

Path Parameters

    platformId numberrequired

    ID of the platform

Responses

Schema

    platformId numberrequired

    ID of the platform

    platformName stringrequired

    Name of the platform

    deviceTypes

    object[]

  • Array [

  • deviceTypeId numberrequired

    ID of the device type

    deviceTypeName stringrequired

    Name of the device type

    projects

    object[]

  • Array [

  • projectName stringrequired

    Unique name of the project

    projectId numberrequired

    Identifier of the project

    displayName string

    Display name of the project

    label string

    Label of the project

    applicationCategory string

    Application category (user or technician)

  • ]

  • ]

Loading...